> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/things-groups/thing-group-information.md).

# Get Things Group Information

## Get Things Group Information

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thingsgroup/{THING_GROUP_ID}`

#### Path Parameters

| Name                                               | Type   | Description                                                                                             |
| -------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------- |
| THING\_GROUP\_ID<mark style="color:red;">\*</mark> | String | Identifier of Things Group. Use <mark style="color:red;">`*`</mark> to get information about all groups |

#### Headers

| Name                                           | Type   | Description                             |
| ---------------------------------------------- | ------ | --------------------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark>  | String | Your authentication token               |
| CUSTOMER\_ID<mark style="color:red;">\*</mark> | String | Customer API key (equal to customer ID) |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using **cURL:**

```bash
curl -X GET \
    --url "https://console.monogoto.io/thingsgroup/{THING_GROUP_ID}" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}" \
    -H "{CUSTOMER_ID}"
```

{% hint style="info" %}
Add your **Token**, **THING\_GROUP\_ID** and **CUSTOMER\_ID** in the GET request to successfully execute the command.

**THING\_GROUP\_ID** - to see information about all of your Thing Groups, enter <mark style="color:red;">`*`</mark> instead of a specific <mark style="color:red;">`ThingGroupID`</mark>
{% endhint %}

Example of request to show information about **all of our Thing Groups**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thingsgroup/*" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -H "apikey: cid_ecs1d3a5-f5e62a1-fe8af468wf"
```

Expected result:

```json
[{
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "DateCreated": 1593166682627,
    "DateModified": 1608028286036,
    "MaxCounter": 0,
    "MoSmsWebhook": {},
    "Networks": ["NetworkId_b0cc777b-8349-4eb8-b4e0-aa18d71a903e", "NetworkId_5eab2280-acaf-4565-b4fc-92f5d6a0fab261", "NetworkId_730s86a4bd-96c9-4cb5-9d84-c7ea4t5s9"],
    "RoamingPolicies": [],
    "TelephonyProfileId": "TelephonyProfile_ad8440-9577-8557-9a79-016abct41834d10",
    "TelephonyProfileName": "Default telephony profile",
    "ThingsGroupActive": true,
    "ThingsGroupDescription": "This is a Demo Thing Group",
    "ThingsGroupId": "ThingsGroupId_b6686b81-a624-4c87-8g96-dfd06732b417",
    "ThingsGroupName": "Demo",
    "Type": "ThingsGroupId"
}, {
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "DateCreated": 1601042185386,
    "DateModified": 1610982144804,
    "MaxCounter": 0,
    "MoSmsWebhook": {
        "StopSms": false,
        "webhook": ""
 
 ...
```

Example of request to show information only about **a single Thing Group**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thingsgroup/ThingsGroupId_ee6421b0-bee0-4587-93aa-cee6ca9b017a" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -H "apikey: cid_ecs1d3a5-f5e62a1-fe8af468wf"
```

Expected result:

```json
[
  {
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "DateCreated": 1601042185386,
    "DateModified": 1610982144804,
    "MaxCounter": 0,
    "MoSmsWebhook": {
      "StopSms": false,
      "webhook": ""
    },
    "Networks": [
      "NetworkId_730166bd-96c9-4cb5-9d84-c7eff5081689",
      "NetworkId_b0cc777b-8349-4eb8-b4e0-aa18d71a903e",
      "NetworkId_5eab2280-acaf-4565-b49c-92f4a0fab261"
    ],
    "NonIp": false,
    "RoamingPolicies": [
      {
        "NetworkProviderId": "NetworkProviderId_5a12b2ca5-8f6c-4cb5-879i-d73516bbc8af",
        "RoamingPolicyId": "RoamingPlanId_d1954416-3ab2-4d15-9b89-99892bt4c856",
        "RoamingRestrictions": [
          {
    
    ...
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thingsgroup/{ThingsGroupId}" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/things-groups/thing-group-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
